Import Cobalt 16.136005

Change-Id: I2b9198982828ad841d50902b145910c0aeb689d3
diff --git a/src/third_party/skia/bin/droid b/src/third_party/skia/bin/droid
new file mode 100755
index 0000000..c633181
--- /dev/null
+++ b/src/third_party/skia/bin/droid
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+# Run a GN-built Android binary on the connected device.
+#
+# Example usage:
+#  $ ninja -C out dm
+#  $ droid out/dm --src gm --config gpu
+#
+# See https://skia.org/user/quick/gn for build instructions.
+
+path=$1
+name=$(basename $1)
+shift
+args=$@
+
+set -e
+set -x
+
+adb push $path //data/local/tmp/
+adb push resources //data/local/tmp/
+adb shell "chmod +x //data/local/tmp/$name"
+adb shell "cd //data/local/tmp; ./$name $args"